summaryrefslogtreecommitdiff
path: root/dev-python/python-ptrace
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/python-ptrace')
-rw-r--r--dev-python/python-ptrace/Manifest1
-rw-r--r--dev-python/python-ptrace/metadata.xml18
-rw-r--r--dev-python/python-ptrace/python-ptrace-0.9.8.ebuild32
-rw-r--r--dev-python/python-ptrace/python-ptrace-9999.ebuild31
4 files changed, 82 insertions, 0 deletions
diff --git a/dev-python/python-ptrace/Manifest b/dev-python/python-ptrace/Manifest
new file mode 100644
index 000000000000..1aeddbeb4e96
--- /dev/null
+++ b/dev-python/python-ptrace/Manifest
@@ -0,0 +1 @@
+DIST python-ptrace-0.9.8.tar.gz 104079 BLAKE2B 3d387beca9c92c0e3bbd5cf2c9d2af447c233b631e894ce1af2cdc697a1a48e24a299bbc998cd187ac9ad0f45bfc886f476afdb69329d761e8730a047731126b SHA512 f50ba7d457bf20a161a99913a552f2e829e97975d7cfbf8cf5d89b4f2320772b537678f2e70b9aaa88341c4f01d4bf41f62683e913628db503152f3510a013a3
diff --git a/dev-python/python-ptrace/metadata.xml b/dev-python/python-ptrace/metadata.xml
new file mode 100644
index 000000000000..1ea88740f5ac
--- /dev/null
+++ b/dev-python/python-ptrace/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>mario.haustein@hrz.tu-chemnitz.de</email>
+ <name>Mario Haustein</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>sam@gentoo.org</email>
+ <name>Sam James</name>
+ </maintainer>
+ <longdescription>
+ python-ptrace is a debugger using ptrace (Linux, BSD and Darwin system
+ call to trace processes) written in Python.
+ </longdescription>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/python-ptrace/python-ptrace-0.9.8.ebuild b/dev-python/python-ptrace/python-ptrace-0.9.8.ebuild
new file mode 100644
index 000000000000..7ccb031d531f
--- /dev/null
+++ b/dev-python/python-ptrace/python-ptrace-0.9.8.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python binding of ptrace library"
+HOMEPAGE="https://github.com/vstinner/python-ptrace"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vstinner/python-ptrace"
+else
+ SRC_URI="https://github.com/vstinner/python-ptrace/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_test() {
+ ./runtests.py --tests tests/ || die
+}
diff --git a/dev-python/python-ptrace/python-ptrace-9999.ebuild b/dev-python/python-ptrace/python-ptrace-9999.ebuild
new file mode 100644
index 000000000000..8e7dd4323cf7
--- /dev/null
+++ b/dev-python/python-ptrace/python-ptrace-9999.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python binding of ptrace library"
+HOMEPAGE="https://github.com/vstinner/python-ptrace"
+
+if [[ ${PV} == "9999" ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vstinner/python-ptrace"
+else
+ SRC_URI="https://github.com/vstinner/python-ptrace/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+RDEPEND="${PYTHON_DEPS}
+ dev-python/six[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_test() {
+ ./runtests.py --tests tests/ || die
+}